<?php
//Destroi qualquer sessao existente
session_start();
session_destroy();

$entrar="";
$wusuario="";
$wsenha="";
$wCodTemp="";

//Joga valores digitados no formulario para variaveis de mesmo nome 
if (!empty($HTTP_GET_VARS)) {
    while(list($xxxname, $value) = each($HTTP_GET_VARS)) {
        $$xxxname = $value;
    }
}
if (!empty($HTTP_POST_VARS)) {
    while(list($xxxname, $value) = each($HTTP_POST_VARS)) {
        $$xxxname = $value;
    }
}

if (!empty($HTTP_POST_FILES)) {
    while(list($xxxname, $value) = each($HTTP_POST_FILES)) {
        $$xxxname = $value['tmp_name'];
    }
}
//Criptografa a senha para evitar interceptao da senha em claro na comunicao com o Banco de Dados
$wsenha = md5($wsenha);

include("ClasseSenha.php");
$novasenha = new senha;

//Dados do Host
//echo 'Host: '.$novasenha->EndHost();
$wIP = $novasenha->IPHost();
$wHost = $novasenha->NomeHost();

if ($entrar)
{  
 if (($wusuario != "") and ($wsenha != ""))
 { 

   //Checa se h a possibilidade de existir comando SQL ou codigo malicioso que possa ser interpretado pelo SQL 
   if ( $novasenha->TestaInjectSQL($wusuario) )
    { 
     //Note que para que confere e retorne verdadeiro o usuario a ser consultado dever ter no Atributo "S" em Adm
     //ou seja  exigido pelo solicitante que o usuario tenha privilgios de Administrador, alm de que o usurio exista e a senha confira
     //Entende-se pois o usuario ter acesso a mofificao de senha e usuarios no sistema de controle de acesso(login)
     $xPrivilegio = 'A'; 
     If ( $novasenha->Confere($wusuario,$wsenha,$xPrivilegio) ) 
      { 
       //Cria o Codigo Temporario para a Sessao que ser armazenado no Banco de Dados para posterior Conferencia
       //Assina Digitalmente na Geracao do Codigo Temporario (funciona como Assinatura do Sistema de senhas)
       include("ClasseSysLogue.php");
       $novologue = new syslogue;
       $wCodTemp = $novasenha->GeraCodUnico().$novologue->Assinatura('SYSLOGUE');  
       //Atualiza o Codigo gerado na Tabela de Controle   
       if ( $novasenha->AtualizaCodTemp($wusuario,$wCodTemp) )
        { 
//           echo "Codigo LOGIN: ".$wCodTemp;
           //Cria a Sesso  
           session_start();
           //INICAILIZA A SESSO
           //REGISTRA AS VARIVEIS NA SESSO
           $_SESSION["IdSessao"] = $wCodTemp;
           $_SESSION["IdSistema"] = 'SYSLOGUE';
           $_SESSION["IdPagina"] = 'FormAcessoSenha';
           //Pegar IP do computador do usuario
           $_SESSION["IdIP"] = $wIP; 
           //Pegar Nome do computador do usuario
           $_SESSION["IdHost"] = $wHost; 
           $_SESSION["nome"] = $wusuario;
           //Deve ser retirado em funcao de senha em memoria - Apenas controle
           $_SESSION["senha"] = $wsenha; 
           //Aqui deveria ser jogado o retornado do privilegio do usuario na consulta acima
           $_SESSION["privilegio"] = $xPrivilegio; 
           //Exibe dados da Sesso
           $logado = setcookie("logado", "$wusuario", time()*60*60*24); 
           //Ver qual o melhor tempo para durar o cookie e a sesso
           //$_COOKIE

           /* Se voc deseja assimilar vrios valores para uma nica varivel cookie, voc pode fazer dele um array: 
              setcookie("MeuCookie[foo]", "Testando 1", time()+3600);
              setcookie("MeuCookie[bar]", "Testando 2", time()+3600);
           */ 

           header('Location: FormSenhas.php');

        } 
       else
        { 
          echo 'Codigo Temp Nao Atualizado!! Contate o Gestor do Sistema';
        } 
      } 
     else
      { 
         echo 'SEM PERMISSAO DE ACESSO!! Contate o Gestor do Sistema';
      } 

    } 
   else
    { 
//        echo 'Texto Refutado!! Digite Texto Vlido';
        header("Location: Desabilita.php");
    } 

 } 
 else
 { 
   echo 'Usuario e Senhas invlidos!! - Redigite';
 } 

} 

?>
<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>SysLogue - Autenticao Acesso</title>
</head>

<body bgcolor="#FF9900">

<p align="center"><img border="0" src="picSenha.gif" width="150" height="52"></p>
<p align="center"><b>Para ter acesso  Administrao de Senhas - (SysLogue),</b></p>
<p align="center"><b>Entre com o Login (denominao do usurio) e com a Senha</b></p>
<p align="center"><b>Cdigos Suspeitos digitados sero refutados e seus contedos sero analisados</b></p>

<form action="FormAcessoSenha.php" METHOD="POST">
  <!--webbot bot="SaveResults"
  U-File="C:\Pagina Asplan\_private\form_results.txt" S-Format="TEXT/CSV"
  S-Label-Fields="TRUE" -->
  <p align="center"><b>Login:</b> <!--webbot bot="Validation"
  B-Value-Required="TRUE" I-Minimum-Length="5" I-Maximum-Length="20" --><input type="text" name="wusuario" size="20" tabindex="1" maxlength="20"></p>
  <p align="center"><b>Senha: </b><!--webbot bot="Validation"
  B-Value-Required="TRUE" I-Minimum-Length="5" I-Maximum-Length="20" --><input type="password" name="wsenha" size="20" tabindex="2" maxlength="20"></p>
  <p align="center"><input type="submit" value="Entrar" name="entrar" tabindex="3"><input type="reset" value="Limpar" name="limpar" tabindex="4"></p>
</form>
<p align="center"><a href="FormAcessoSenha.php"><img border="0" src="logo.gif" width="198" height="52"></a></p>

</p>
</body>

</html>
